Modify

Opened 8 years ago

Closed 8 years ago

#7491 closed defect (fixed)

latest josm exception while map moving

Reported by: Larry0ua Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report Cc: bastiK

Description

I just downloaded data from OSM, then created new layer and draw some lines there. When moving the map exception seen.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-09 02:32:19
Last Changed Author: simon04
Revision: 5061
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-08 22:03:42 +0100 (Thu, 08 Mar 2012)
Last Changed Rev: 5061

Identification: JOSM/1.5 (5061 uk)
Memory Usage: 86 MB / 989 MB (31 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: FastDraw (27981)
Plugin: GpxPoints (26681)
Plugin: OpeningHoursEditor (27852)
Plugin: PicLayer (27883)
Plugin: buildings_tools (27984)
Plugin: editgpx (27977)
Plugin: licensechange (27964)
Plugin: print (27865)
Plugin: public_transport (28014)
Plugin: reltoolbox (27927)
Plugin: reverter (27865)
Plugin: utilsplugin2 (27998)

java.lang.NullPointerException
	at javax.swing.GrayFilter.createDisabledImage(Unknown Source)
	at org.openstreetmap.josm.gui.mappaint.MapImage.getDisabled(MapImage.java:46)
	at org.openstreetmap.josm.gui.mappaint.NodeElemStyle.paintPrimitive(NodeElemStyle.java:237)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.drawAll(StyledMapRenderer.java:140)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:233)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:280)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:455)
	at org

Attachments (0)

Change History (8)

comment:1 Changed 8 years ago by anonymous

after downloading used one filter. unchecked that after started drawing on the second layer, but it looked still enabled for the first

comment:2 Changed 8 years ago by skyper

me too,

please use: track_Pontiac_CZ.zip:ticket:6912

  1. open marker file
  2. download data
  3. selected a node in data layer
  4. activate marker layer
  5. add tag (Alt+A)
  6. enter "access=no"

Exception.

It should not be possible to add a tag with active marker layer, but that is already reported: #6518

comment:3 Changed 8 years ago by skyper

forgot

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-09 02:32:19
Last Changed Author: simon04
Revision: 5061
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-03-08 22:03:42 +0100 (Thu, 08 Mar 2012)
Last Changed Rev: 5061

Identification: JOSM/1.5 (5061 en)
Memory Usage: 66 MB / 241 MB (34 MB allocated, but free)
Java version: 1.6.0_18, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux
Dataset consistency test: No problems found


java.lang.NullPointerException
	at javax.swing.GrayFilter.createDisabledImage(GrayFilter.java:49)
	at org.openstreetmap.josm.gui.mappaint.MapImage.getDisabled(MapImage.java:46)
	at org.openstreetmap.josm.gui.mappaint.NodeElemStyle.paintPrimitive(NodeElemStyle.java:237)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.drawAll(StyledMapRenderer.java:140)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:233)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:280)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:455)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:534)
	at javax.swing.JComponent.paintChildren(JComponent.java:866)
	at javax.swing.JSplitPane.paintChildren(JSplitPane.java:1046)
	at javax.swing.JComponent.paint(JComponent.java:1038)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5138)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:302)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1145)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5086)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4896)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:740)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:696)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:676)
	at javax.swing.RepaintManager.access$700(RepaintManager.java:57)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1550)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:226)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:647)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:617)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

comment:4 Changed 8 years ago by akks

In 5074/josm:

Fix NPE for disabled image loading, see #7498, #7491 (please check!)

comment:5 Changed 8 years ago by akks

Cc: bastiK added

comment:6 in reply to:  4 Changed 8 years ago by skyper

Replying to akks:

In 5074/josm:

Fix NPE for disabled image loading, see #7498, #7491 (please check!)

Thanks

Fixed my problem.

comment:7 Changed 8 years ago by akks

@bastiK: please close the ticket and #7498 if modification was correct

Last edited 8 years ago by akks (previous) (diff)

comment:8 Changed 8 years ago by bastiK

Resolution: fixed
Status: newclosed

I think it is correct.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.